org.apache.commons.math3.exception

## Class NullArgumentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math3.exception.MathIllegalArgumentException
          - - org.apache.commons.math3.exception.NullArgumentException

- All Implemented Interfaces:
    Serializable, ExceptionContextProvider

      public class NullArgumentException
      extends MathIllegalArgumentException

  All conditions checks that fail due to a `null` argument must throw this exception. This class is meant to signal a precondition violation ("null is an illegal argument") and so does not extend the standard `NullPointerException`. Propagation of `NullPointerException` from within Commons-Math is construed to be a bug.
  Since:
    2.2
  Version:
    $Id$
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullArgumentException()` Default constructor.
    `NullArgumentException(Localizable pattern, Object... arguments)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

      `getContext, getLocalizedMessage, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NullArgumentException

          public NullArgumentException()

      Default constructor.

    - #### NullArgumentException

          public NullArgumentException(Localizable pattern,
                               Object... arguments)

      Parameters:
        `pattern` - Message pattern providing the specific context of the error.
        `arguments` - Values for replacing the placeholders in `pattern`.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.